<template>
  <div class="home">
    <HomeComponent titre="Contenue du projet"/>
    <p>Le projet de cette application web en VueJs permet de gérer ses différentes 
    listes (de course par exemple) que l'on peut créer, modifier et supprmier.
    Sur toutes les pages l'entête de page et le bas de page est identique. On retrouve le logo sur l'entête ainsi que le
    lien vers nos listes.<br>
    Un détail page par page est effectué ci-dessous</p>
    <h2>Page d'accueil</h2>
    <p>Cette première page consiste à être une page d'accueil permettant de comprend le 
    fonctionnement de cette application web en VueJs.</p>
    <h2>Page de listing de nos listes</h2>
    <p>Lors du clique depuis l'entête sur le liens Mes Listes, une redirection sur la page de nos
    listes est effectuées. Sur cette liste on retrouve le nom de nos listes avec le nombre d'item que l'on a dans cette liste et lors du 
    clique sur celle-ci, une redirection est effectuée sur la liste des items de cette liste.<br> 
    Un bouton de création est aussi présent afin de nous rediriger vers la page de création d'une liste.</p>
    <h2>Page de création d'une liste</h2>
    <p>Sur cette page nous retrouvons tout simplement un formulaire avec tous les champs nécéssaire
    à la création d'une nouvelle liste ainsi qu'un bouton d'enregistrement de cette nouvelle liste</p>
    <h2>Page de listing des items d'une liste</h2>
    <p>Cette page est atteignagle lors du clique sur une des listes ou lors de la validation de 
    création d'une liste, on retrouve sur cette page en titre le nom de la liste avec le nombre d'item de cette liste, la
    liste des items avec la possibilité de le supprimer ou de le cocher et tout en bas on retrouve le bouton de création d'un item</p>
    <h2>Page de création d'un item</h2>
    <p>Cette page consiste à créer un nouvel item dans la liste est pour cela on y retrouve en titre le nom de la liste,
    d'un formaulaire avec tous les éléments pouvant le définir, un bouton de validation et d'annulation.<br>
    La validation ou l'annulation de création d'un item nous renvoie sur la page précédente qui est la liste des items d'une liste</p>
  </div>
</template>

<script>
// @ is an alias to /src
import HomeComponent from '@/components/HomeComponent.vue'

export default {
  name: 'Home',
  components: {
    HomeComponent
  }
}
</script>
